#!/bin/sh
#
# $Author: reggers $
# $Date: 1993/01/27 18:46:54 $
# $Id: Configure.sh,v 1.10 1993/01/27 18:46:54 reggers Exp $
# $Source: /usr/src/usr.local/mail/sendmail.cf/RCS/Configure.sh,v $
# $State: Exp $
#
# Editor script to make sendmail.cf out of sendmail.distribution, here's
# where/what you need to edit:
#---------
#
#  First a choice, one out of:
#
#	g/^#UUCP#/s:::   or	g/^#UUCP#/d	or	g/^#UUCP#/d
#	g/^#MX#/d		g/^#MX#/s:::		g/^#MX#/d
#	g/^#NOMX#/d		g/^#NOMX#/d		g/^#NOMX#/s:::
#
#   UUCP vs MX vs NOMX support -- if you're connected to the campus by
#	a uucp connection, choose the first column. This will configure
#	your mailer to punt everything to a smart neighbor (usually 
#	a machine called mail-relay).
#
#	if you're running an MX sendmail and fully integrated with
#	the Domain Name System then you can send mail directly without
#	punting thru a gateway machine -- choose the second column.
#
#	if your're not running an MX sendmail but are on the campus network
#	then you can punt through a smart neighbor via SMTP/IP -- choose
#	the third column.
#
#-----
#
#	Now a choice of two columns:
#
#		g/^#BSD#/s:::		g/^#BSD#/d		g/^#BSD#/d
#		g/^#SGI#/d		g/^#SGI#/s:::		g/^#SGI#/d
#		g/^#IBM#/d		g/^#IBM#/d		g/^#IBM#/s:::
#
#    BSD vs SGI vs IBM hackeroos --
#	Silicon Graphics machines seem to have a perverse local delivery
#	interface. Likewise for the IBM's. I don't know what's going on.
#	Choose the second column if you're on an SGI machine, the third
#	for IBM/AIX.
#
#------
#
#	g/^#HIDE#/s:::			g/^#HIDE#/d
#
#    Hidden domains --
#	If you're trying to construct a hidden domain (eg. where you have
#	a bunch of machines *.do.ma.in but a single mail drop "do.ma.in")
#	chose the first form, else the second.
#
#------
#	g/#ASSUME#/s::uwo.ca:
#
#   ASSUME -- when no domain is specified (ie. user@host), assume this. In
#	a complicated domain structure this might be, eg. csd.uwo.ca, but
#	around Western 'uwo.ca' seems adequate for most sites.
#
#------
#	g/#GATED#/s::bitnet cdn uucp:
#	or, for UUCP and NOMX sites, .... g/#GATED#/d
#
#   GATED -- what domains are gated at the relay site? Note, if you don't
#	support an MX sendmail then all external mail will go the same
#	direction. You should be using an MX sendmail and this is used
#	for those pseudo-domains not listed in the Domain Name System.
#	There aren't too many of these guys any more.
#
#	If you're a UUCP site or not supporting MX, then use the delete line.
#
#------
#	g/#RELAY#/s::mail-relay.uwo.ca:
#	or, for uucp sites, ... g/#RELAY#/s::ria:
#
#   RELAY -- punt the above to this relay site. This is a smart guy who knows
#	about pseudo domains (like bitnet) and all the real domains. If
#	you don't support MX sendmail, then all external mail will be punted
#	to him.	Around Western, that's the name server mail-relay. If you're a
#	uucp neighbor, then punt to your uucp gateway machine -- use the
#	uucp name, not the domain name in this case! At Western the
#	UUCP gateway is known as "ria"
#
#------
#	g/#DOMAIN#/s::lucille.physics.uwo.ca:
#
#   DOMAIN  -- what is the domain name you're serving (ie. the mail-stop).
#	Often you're trying to hide a bunch of machines behind a single
#	domain name (eg. csd.uwo.ca is a mail-domain, but there's no host
#	by that name). There MUST BE AN MX RECORD IN THE DNS FOR THIS!
#	All mail sent from this site will use this domain name.
#
#-------
#	g/#HOST#/s::lucille.physics.uwo.ca:
#	or .... g/#HOST#/s::lri:
#
#   HOST -- what is the official hostname of this machine, you have to support
#	that as well. Eg. charlie.csd.uwo.ca is the HOST name of the machine
#	which supports mail for csd.uwo.cs. There MUST BE AN MX RECORD IN THE
#	DNS FOR THIS! Usually this, and the DOMAIN, are the same (although
#	there are instances where they might differ). If your system
#	is configured properly then these should all be the same as
#	what 'hostname' returns. If you're a UUCP site then put in your
#	UUCP hostname -- not the domain name!
#
#-------
#	g/#BINMAIL#/s::/usr/local/lib/binmail:
#
#   BINMAIL -- the old System V /bin/mail program is used for local delivery.
#	I recommend you move that to /usr/local/lib/binmail and make /bin/mail
#	a logical link to /usr/ucb/mail. If you intend on leaving /bin/mail
#	in place then edit accordingly.
#
#	On IBM machines use "/bin/bellmail" instead of "/bin/mail" or
#	etc. They've picked a good name for a utility that users should
#	avoid.
#

ed <<EOF
r sendmail.distribution
g/^#UUCP#/d
g/^#MX#/s:::
g/^#NOMX#/d
g/^#BSD#/s:::
g/^#SGI#/d
g/^#IBM#/d
g/^#HIDE#/d
g/#ASSUME#/s::uwo.ca:
g/#GATED#/s::bitnet cdn uucp:
g/#RELAY#/s::mail-relay.uwo.ca:
g/#DOMAIN#/s::lucille.physics.uwo.ca:
g/#HOST#/s::lucille.physics.uwo.ca:
g/#BINMAIL#/s::/usr/local/lib/binmail:
w sendmail.cf
q
EOF
#
# Editor script to make aliases out of aliases.distribution, here's
# where/what you need to edit:
#
#	g/SYSMAINT/s::someone:
#
#   SYSMAINT -- who is the system manager of your machine? Any mail
#	for root, bin, sys, daemon, etc. should arrive in his mail box.
#
#	g/MAILMAINT/s::someone:
#
#   MAILMAINT -- who is the mail manager of your machine? Any mail
#	for postmaster, mail-daemon, etc. should arrive in his mail box.
#
#  NOTE: If you want to send/receive mail then you POSITIVELY MUST support
#	the address 'postmaster'. Further, you have to be responsible and
#	timely about mail for postmaster -- it isn't a junk mail box.

ed <<EOF
r aliases.distribution
g/SYSMAINT/s::someone:
g/MAILMAINT/s::someone:
w aliases
q
EOF
